/*
 * Class LIST [BOOLEAN]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2037 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2037 [] = {0xFF01,1551,2036,866,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2037 [] = {0xFF01,2036,866,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2037 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2037 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2037 [] = {0xFF01,2036,866,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2037 [] = {0xFF01,2036,866,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2037 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2037 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2037 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2037 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2037 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2037 [] = {2036,866,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2037 [] = {0xFF01,2036,866,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2037 [] = {0xFF01,2018,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2037 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2037 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2037 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2037 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_2037 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_2037 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_2037 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_2037 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_2037 [] = {0xFF01,2013,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_2037 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_2037 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_2037 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_2037 [] = {0xFF01,2036,866,0xFFFF};
static const EIF_TYPE_INDEX egt_28_2037 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_2037[] = {
	{EIF_GENERIC(NULL), 12495, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2037), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2037), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12496, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2037), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2037), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2037), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2037), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2037), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2037), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2037), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2037), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2037), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2037), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2037), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2037), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12291, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9225, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8658, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8659, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8660, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8661, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8662, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2037), 8915, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2037), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2037), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9315, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9316, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9099, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12287, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12292, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8980, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12295, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2037), 8908, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8909, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12497, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12298, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_2037), 12293, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_2037), 12296, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12301, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_2037), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12304, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12297, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8911, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8912, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8913, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8914, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_2037), 12293, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_2037), 12294, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12301, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12307, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12307, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9045, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9319, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12285, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9320, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9321, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_2037), 11021, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_2037), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12498, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8906, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9317, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12308, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_2037), 12289, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_2037), 12290, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12299, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12300, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12302, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12303, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12305, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12306, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12286, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_2037), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8905, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8904, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8907, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8907, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12295, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_2037), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init2037(void)
{
	IDSC(desc_2037, 0, 2036);
	IDSC(desc_2037 + 1, 1, 2036);
	IDSC(desc_2037 + 32, 1134, 2036);
	IDSC(desc_2037 + 41, 1060, 2036);
	IDSC(desc_2037 + 47, 1444, 2036);
	IDSC(desc_2037 + 56, 1570, 2036);
	IDSC(desc_2037 + 59, 1534, 2036);
	IDSC(desc_2037 + 66, 916, 2036);
	IDSC(desc_2037 + 72, 1135, 2036);
	IDSC(desc_2037 + 81, 1088, 2036);
	IDSC(desc_2037 + 83, 1245, 2036);
	IDSC(desc_2037 + 86, 387, 2036);
	IDSC(desc_2037 + 88, 636, 2036);
	IDSC(desc_2037 + 102, 778, 2036);
	IDSC(desc_2037 + 103, 254, 2036);
	IDSC(desc_2037 + 106, 554, 2036);
	IDSC(desc_2037 + 107, 878, 2036);
	IDSC(desc_2037 + 108, 794, 2036);
}


#ifdef __cplusplus
}
#endif
